Page MenuHomePhabricator

Enable musical notation datatype
Closed, ResolvedPublic1 Story Points

Description

The amazing new datatype for musical notations needs to be deployed on Wikidata.
Target date: March 14th

NOTE: Before enabling anywhere T216728 should first be fixed and deployed at the place the enabling is happening.

To be deployed on:

  • beta - week of 4th of march
  • test - 7th march
  • wikidata.org - 14th march?

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable musical notation datatype in wikidata
operations/mediawiki-config : masterEnable musical notation datatype on testwikidatawiki
operations/mediawiki-config : masterlabs: Enable musical notation datatype in wikidatawiki in beta

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2019, 4:19 PM
Addshore triaged this task as Medium priority.Feb 21 2019, 4:21 PM
Addshore renamed this task from enable musical notation datatype to Enable musical notation datatype.Feb 21 2019, 4:23 PM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)
abian awarded a token.Feb 21 2019, 4:39 PM
abian added a subscriber: abian.

@Lydia_Pintscher It's possible to test that on instance https://test.wikidata.org ?

Not yet. It needs to be enabled there still. This ticket will be updated once it is enabled there :)

@Lydia_Pintscher: asking for clarification. The "child ticket" the task description refers to is T216728?

@Lydia_Pintscher: asking for clarification. The "child ticket" the task description refers to is T216728?

Yes

WMDE-leszek updated the task description. (Show Details)Feb 26 2019, 11:23 AM

Change 493009 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] labs: Enable musical notation datatype in wikidatawiki in beta

https://gerrit.wikimedia.org/r/493009

Change 493010 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Enable musical notation datatype on testwikidatawiki

https://gerrit.wikimedia.org/r/493010

Change 493011 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Enable musical notation datatype in wikidata

https://gerrit.wikimedia.org/r/493011

jijiki added a subscriber: jijiki.Feb 26 2019, 1:10 PM
Addshore updated the task description. (Show Details)Feb 26 2019, 3:36 PM
Addshore set the point value for this task to 1.

Change 493009 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Enable musical notation datatype in wikidatawiki in beta

https://gerrit.wikimedia.org/r/493009

Change 493010 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable musical notation datatype on testwikidatawiki

https://gerrit.wikimedia.org/r/493010

Mentioned in SAL (#wikimedia-operations) [2019-03-07T12:55:29Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:493010|Enable musical notation datatype on testwikidatawiki (T216730)]] (duration: 00m 56s)

Addshore removed alaa_wmde as the assignee of this task.Mar 7 2019, 12:56 PM
Addshore updated the task description. (Show Details)
Addshore added a subscriber: alaa_wmde.

Change 493011 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable musical notation datatype in wikidata

https://gerrit.wikimedia.org/r/493011

Mentioned in SAL (#wikimedia-operations) [2019-03-14T18:31:38Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT T216730 Enable musical notation datatype on Wikidata (duration: 00m 48s)

Lydia_Pintscher closed this task as Resolved.Mar 16 2019, 12:27 PM
Lydia_Pintscher claimed this task.
TheDJ added a subscriber: TheDJ.Mar 18 2019, 9:08 PM

Not sure why T218535: Score extension now leaving large amounts of space on rendering suddenly popped up, but wondering if it's maybe due to one of the changes in favor of wikibase support ?

Bonvol added a subscriber: Bonvol.Mar 18 2019, 9:28 PM

Seems for me that change of $wgScoreTrim from null (defaults to true = use ImageMagick) to false in this commit: https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/493011/3/wmf-config/InitialiseSettings.php
caused T218535: Score extension now leaving large amounts of space on rendering
I added repro scenarios there.

Change 497433 had a related patch set uploaded (by Ebe123; owner: Ebe123):
[operations/mediawiki-config@master] Partially revert "Enable musical notation datatype in wikidata"

https://gerrit.wikimedia.org/r/497433

Will be fixed with T218643